:: Modeline utility
:: 
:: Set progressive or interlaced modeline
::
@ECHO OFF
SET ML505_IP=192.168.153.9

SET SOURCE_SELECT=%2

IF [%2] == [] SET SOURCE_SELECT=0

:: 800x600, at 60 Hz
IF [%1] == [p]  mpeg2ether --hostname %ML505_IP% --verbose --hor_resolution 799 --hor_length 1055 --hor_sync_start 839 --hor_sync_end 967 --ver_resolution 599 --ver_length 627 --ver_sync_start 600 --ver_sync_end 604 --hor_halfline 528 --pixel_repeat 0 --interlaced 0 --repeat_frame 1 --persistence 1 --clip_display 0 --dot_clock 40.0 --source_select 0 --color_bars 0 --osd_disable

:: 768x576 interlaced, at 60 Hz
IF [%1] == [i]  mpeg2ether --hostname %ML505_IP% --verbose --hor_resolution 767 --hor_length 959 --hor_sync_start 799 --hor_sync_end 927 --ver_resolution 575 --ver_length 604 --ver_sync_start 586 --ver_sync_end 592 --hor_halfline 479 --clip_display 0  --pixel_repeat 0 --interlaced 1 --repeat_frame 0 --persistence 1 --dot_clock 35.03 --source_select %SOURCE_SELECT% --color_bars 0  --osd_disable

:: 800x600, at 60 Hz, deinterlace
IF [%1] == [d]  mpeg2ether --hostname %ML505_IP% --verbose --hor_resolution 799 --hor_length 1055 --hor_sync_start 839 --hor_sync_end 967 --ver_resolution 599 --ver_length 627 --ver_sync_start 600 --ver_sync_end 604 --hor_halfline 528 --pixel_repeat 0 --interlaced 0 --repeat_frame 1 --persistence 1 --clip_display 0 --dot_clock 40.0 --deinterlace 1 --source_select %SOURCE_SELECT% --color_bars 0 --osd_disable

IF [%1] == [] (
  ECHO Usage: %0% ^(p^|i^)
  ECHO p : progressive
  ECHO i : interlaced
  ECHO d : deinterlace
  )
:: not truncated
